package org.ow2.bonita.perf.habilitation.hook;

import java.util.logging.Level;
import java.util.logging.Logger;

import org.ow2.bonita.definition.Hook;
import org.ow2.bonita.facade.QueryAPIAccessor;
import org.ow2.bonita.facade.runtime.ActivityBody;
import org.ow2.bonita.facade.runtime.ActivityInstance;

public class AcceptationAM implements Hook {

  private static Logger log = Logger.getLogger(AcceptationAM.class.getName());

  public void execute(QueryAPIAccessor accessor, ActivityInstance<ActivityBody> activityInstance) throws Exception {
    if (log.isLoggable(Level.FINE)) {
      log.fine(">>>>>>>>>> " + activityInstance + ": approved...");
    }
  }
}
